---
- entityDefinitions:
  - IDI_Task_TextAttribute_View: '{e30a3c5a-c734-49b4-9e3b-e00ed3e18e1e}'
  - IDE_TextAttribute_View: '{e14c9520-9464-48da-bb6e-50f434ec8ea9}'
  - IDE_TextAttribute_View_Start: '{2f96f2ea-0552-4c0f-918e-73e0ab5ac574}'
  - IDM_TextAttribute_View_Start: '{b49960ff-6723-43fb-b658-4fa695b765e6}'
  - IDM_TextAttribute_View: '{e8d29f37-de0f-4456-b206-b0f8d9c4e7a7}'
  - IDMB_TextAttribute_View: '{fe99120b-88aa-4b59-a8cc-ae740f5dbb60}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_TextAttribute_View;'
    name: 'View Text Attribute'
    initiatingElement: '&IDE_TextAttribute_View_Start;'
    taskCategory: '&IDI_TaskCategory_TextAttribute;'

  - element: '&IDE_TextAttribute_View_Start;'
    name: 'view text attribute start'
    processedByCTMethod: '&IDM_TextAttribute_View_Start;'
    elementContents:
    - globalIdentifier: '{ec852019-6540-42aa-bbac-ae22353ad957}'
      defaultDataType: '&IDE_TextAttribute_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{284bb1e5-2753-444c-9ae9-aeb387b175da}'
        options:
        - instance: '&IDI_GroupLayoutOption_FieldSet;'
      
  - controlTransactionMethod: '&IDM_TextAttribute_View_Start;'
    forClassId: '&IDC_TextAttribute;'
    verb: ''
    name: 'view start'
    buildsResponseWithBRMB:
    - globalIdentifier: '&IDMB_TextAttribute_View;'
      executesMethod: '&IDM_TextAttribute_View;'
  
  - buildUIResponseMethod: '&IDM_TextAttribute_View;'
    usesExecutableReturningElement: '&IDE_TextAttribute_View;'

  
  - element: '&IDE_TextAttribute_View;'
    name: 'view text attribute'
    elementContents:
    - globalIdentifier: '{5075600b-178a-46eb-8a45-4ba0c3d7a0ce}'
      defaultDataType: '&IDE_TextAttribute_Subedits;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{6f3229ee-8e2e-4d3a-8e1c-0e28b109a044}'
        options:
        - instance: '&IDI_GroupLayoutOption_FieldSet;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
